package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class GoblinZhengzaiVo implements Cloneable{
    @ApiModelProperty(value = "活动id")
    String marketId;
    @ApiModelProperty(value = "活动名称")
    String name;
    @ApiModelProperty(value = "活动状态[-1-全部|0-等待开始|1-活动中|2-活动结束|7-停用]")
    Integer status;
    @ApiModelProperty(value = "开始时间")
    String startTime;
    @ApiModelProperty(value = "结束时间")
    String endTime;
    @ApiModelProperty(value = "创建时间")
    String createdAt;

    private static final GoblinZhengzaiVo obj = new GoblinZhengzaiVo();

    public static GoblinZhengzaiVo getNew() {
        try {
            return (GoblinZhengzaiVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinZhengzaiVo();
        }
    }
}
